# -*- coding: UTF-8 -*-
import sys, os
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])
from common import config, logger
from upload.fam import soapService
import traceback

log = logger.getUploadLogger("soap")
configFileName = sys.path[0] + "/../config/cash/exchangers.ini"

log.info(u"Запуск SOAP сервиса загрузки справочников")
if not config.read(configFileName):
    log.error(u"Файл настроек '%s' не найден. Сервис не будет запущен" % configFileName)
    exit(1)

try:
    soapService.start(isCash=True)
except Exception, e:
    log.error(u'Ошибка: %s' % e.message)
    log.error(traceback.format_exc())
