# -*- coding: UTF-8 -*-

from common import logger
from upload.converter.smagPlugins import converter_ukm4 as converter
from upload.inserter import InserterError

def general_method(workDirectory, data, node):
    log = logger.getUploadLogger("Node", node.id)
    result = False
    errorList = []
    try:
        result, errorList = converter.run(workDirectory, data, node)
    except InserterError, e:
        raise
    except Exception, e:
        log.exception(e)
        errorList.append(e)
        result = False

    return result, errorList

def invalidObjectsCount():
    return converter.invalidObjectsCount()
